> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoycore/dev-api/js-lib/iterablevalue.md).

# IterableValue

## Overview

The `IterableValue` object is designed for use in JavaScript loops to streamline iteration processes. It provides access to the current value of the iterable and indicates whether the iteration is complete.

## Properties Summarized

| Type                                                       | Name            | Summary                                                                                 |
| ---------------------------------------------------------- | --------------- | --------------------------------------------------------------------------------------- |
| [Boolean](/reference/servoycore/dev-api/js-lib/boolean.md) | [done](#done)   | This returns a boolean if this was the last value (true) or not.                        |
| [Object](/reference/servoycore/dev-api/js-lib/object.md)   | [value](#value) | This is used in Iterators (for of loops) This returns the value of the current Iterable |

## Properties Detailed

### done

This returns a boolean if this was the last value (true) or not.

**Type**\
[Boolean](/reference/servoycore/dev-api/js-lib/boolean.md)

### value

This is used in Iterators (for of loops) This returns the value of the current Iterable

**Type**\
[Object](/reference/servoycore/dev-api/js-lib/object.md)

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoycore/dev-api/js-lib/iterablevalue.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
